Get user roles assigned to an Organization member
Retrieve detailed list of roles assigned to a given user within the context of a specific Organization.
Users can be members of multiple Organizations with unique roles assigned for each membership. This action only returns the roles associated with the specified Organization; any roles assigned to the user within other Organizations are not included.
Note: Returns only direct role assignments for this member. To also include group-based role assignments, use GET /api/v2/organizations/{id}/members/{user_id}/effective-roles.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier.
50ID of the user to associate roles with.
Query Parameters
Page index of the results to return. First page is 0.
0 <= x <= 1000Number of results per page. Defaults to 50.
1 <= x <= 100Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).
Response
Roles successfully retrieved.
- object[]
- object
ID for this role.
Name of this role.
Description of this role.
The type of the role
tenant, organization The id of the entity that owns this role: an organization id, or "auth0" for Auth0-managed System Roles.
50